Package org.linphone.core

# Class ConferenceListenerStub

java.lang.Object
org.linphone.core.ConferenceListenerStub

All Implemented Interfaces:
  `ConferenceListener`

public class ConferenceListenerStub extends Object implements ConferenceListener

## Constructor Summary

Constructors
Constructor
Description
`ConferenceListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onActiveSpeakerParticipantDevice(Conference conference, ParticipantDevice participantDevice)`
Callback used to notify which participant device video is being displayed as
"actively speaking".
`void`
`onAllowedParticipantListChanged(Conference conference)`
Callback used to notify a conference that the list of participants allowed to
join the conference has changed.
`void`
`onAudioDeviceChanged(Conference conference, AudioDevice audioDevice)`
Callback used to notify that the audio device of a conference has changed.
`void`
`onAvailableMediaChanged(Conference conference)`
Callback used to notify that the available media of a conference has changed.
`void`
`onFullStateReceived(Conference conference)`
Callback used to notify when a notify full state has been received.
`void`
`onParticipantAdded(Conference conference, Participant participant)`
Callback used to notify a conference that a participant has been added.
`void`
`onParticipantAdminStatusChanged(Conference conference, Participant participant)`
Callback used to notify a conference that the admin status of a participant has
been changed.
`void`
`onParticipantDeviceAdded(Conference conference, ParticipantDevice participantDevice)`
Callback used to notify a conference that a participant device has been added.
`void`
`onParticipantDeviceIsMuted(Conference conference, ParticipantDevice participantDevice, boolean isMuted)`
Callback used to notify that a participant device is muted or is no longer
muted.
`void`
`onParticipantDeviceIsSpeakingChanged(Conference conference, ParticipantDevice participantDevice, boolean isSpeaking)`
Callback used to notify that a participant device is speaking or isn't speaking
anymore.
`void`
`onParticipantDeviceJoiningRequest(Conference conference, ParticipantDevice participantDevice)`
Callback used to notify a conference that a participant has requested to join
the conference.
`void`
`onParticipantDeviceMediaAvailabilityChanged(Conference conference, ParticipantDevice device)`
Callback used to notify a conference that the media availability of a
participant device has been changed.
`void`
`onParticipantDeviceMediaCapabilityChanged(Conference conference, ParticipantDevice device)`
Callback used to notify a conference that the media capability of a participant
device has been changed.
`void`
`onParticipantDeviceRemoved(Conference conference, ParticipantDevice participantDevice)`
Callback used to notify a conference that a participant device has been
removed.
`void`
`onParticipantDeviceScreenSharingChanged(Conference conference, ParticipantDevice device, boolean enabled)`
Callback used to notify a conference that a participant device starts or stops
screen sharing.
`void`
`onParticipantDeviceStateChanged(Conference conference, ParticipantDevice device, ParticipantDevice.State state)`
Callback used to notify a conference that a participant device has changed
state.
`void`
`onParticipantRemoved(Conference conference, Participant participant)`
Callback used to notify a conference that a participant has been removed.
`void`
`onParticipantRoleChanged(Conference conference, Participant participant)`
Callback used to notify a conference that the role of a participant has been
changed.
`void`
`onStateChanged(Conference conference, Conference.State newState)`
Callback used to notify a conference state has changed.
`void`
`onSubjectChanged(Conference conference, String subject)`
Callback used to notify that the subject of a conference has changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConferenceListenerStub

public ConferenceListenerStub()

## Method Details

### onAllowedParticipantListChanged

public void onAllowedParticipantListChanged(@NonNull Conference conference)
Description copied from interface: `ConferenceListener`
Callback used to notify a conference that the list of participants allowed to
join the conference has changed.

Specified by:
  `onAllowedParticipantListChanged` in interface `ConferenceListener`
Parameters:
  `conference` - `Conference` object

### onParticipantAdded

public void onParticipantAdded(@NonNull Conference conference, @NonNull Participant participant)
Description copied from interface: `ConferenceListener`
Callback used to notify a conference that a participant has been added.

Specified by:
  `onParticipantAdded` in interface `ConferenceListener`
Parameters:
  `conference` - LinphoneConference object
  `participant` - LinphoneParticipant that has been added to the conference

### onParticipantRemoved

public void onParticipantRemoved(@NonNull Conference conference, @NonNull Participant participant)
Description copied from interface: `ConferenceListener`
Callback used to notify a conference that a participant has been removed.

Specified by:
  `onParticipantRemoved` in interface `ConferenceListener`
Parameters:
  `conference` - LinphoneConference object
  `participant` - LinphoneParticipant that has been removed to the conference

### onParticipantDeviceAdded

public void onParticipantDeviceAdded(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice)
Description copied from interface: `ConferenceListener`
Callback used to notify a conference that a participant device has been added.

Specified by:
  `onParticipantDeviceAdded` in interface `ConferenceListener`
Parameters:
  `conference` - LinphoneConference object
  `participantDevice` - LinphoneParticipantDevice that has been added to the
  conference

### onParticipantDeviceRemoved

public void onParticipantDeviceRemoved(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice)
Description copied from interface: `ConferenceListener`
Callback used to notify a conference that a participant device has been
removed.

Specified by:
  `onParticipantDeviceRemoved` in interface `ConferenceListener`
Parameters:
  `conference` - LinphoneConference object
  `participantDevice` - LinphoneParticipantDevice that has been removed to the
  conference

### onParticipantDeviceJoiningRequest

public void onParticipantDeviceJoiningRequest(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice)
Description copied from interface: `ConferenceListener`
Callback used to notify a conference that a participant has requested to join
the conference.

Specified by:
  `onParticipantDeviceJoiningRequest` in interface `ConferenceListener`
Parameters:
  `conference` - `Conference` object
  `participantDevice` - `ParticipantDevice` that has requested to join
  the conference

### onParticipantRoleChanged

public void onParticipantRoleChanged(@NonNull Conference conference, @NonNull Participant participant)
Description copied from interface: `ConferenceListener`
Callback used to notify a conference that the role of a participant has been
changed.

Specified by:
  `onParticipantRoleChanged` in interface `ConferenceListener`
Parameters:
  `conference` - `Conference` object
  `participant` - `Participant` whose role has changed

### onParticipantAdminStatusChanged

public void onParticipantAdminStatusChanged(@NonNull Conference conference, @NonNull Participant participant)
Description copied from interface: `ConferenceListener`
Callback used to notify a conference that the admin status of a participant has
been changed.

Specified by:
  `onParticipantAdminStatusChanged` in interface `ConferenceListener`
Parameters:
  `conference` - LinphoneConference object
  `participant` - LinphoneParticipant whose admin status has changed

### onParticipantDeviceStateChanged

public void onParticipantDeviceStateChanged(@NonNull Conference conference, @NonNull ParticipantDevice device, ParticipantDevice.State state)
Description copied from interface: `ConferenceListener`
Callback used to notify a conference that a participant device has changed
state.

Specified by:
  `onParticipantDeviceStateChanged` in interface `ConferenceListener`
Parameters:
  `conference` - LinphoneConference object
  `device` - LinphoneParticipantDevice who change state
  `state` - new participant device state

### onParticipantDeviceScreenSharingChanged

public void onParticipantDeviceScreenSharingChanged(@NonNull Conference conference, @NonNull ParticipantDevice device, boolean enabled)
Description copied from interface: `ConferenceListener`
Callback used to notify a conference that a participant device starts or stops
screen sharing.

Specified by:
  `onParticipantDeviceScreenSharingChanged` in interface `ConferenceListener`
Parameters:
  `conference` - `Conference` object
  `device` - `ParticipantDevice` who starts or stops screen sharing
  `enabled` - whether the screen sharing is enabled or disabled

### onParticipantDeviceMediaAvailabilityChanged

public void onParticipantDeviceMediaAvailabilityChanged(@NonNull Conference conference, @NonNull ParticipantDevice device)
Description copied from interface: `ConferenceListener`
Callback used to notify a conference that the media availability of a
participant device has been changed.

Specified by:
  `onParticipantDeviceMediaAvailabilityChanged` in interface `ConferenceListener`
Parameters:
  `conference` - LinphoneConference object
  `device` - LinphoneParticipantDevice whose media availability changed has
  changed

### onParticipantDeviceMediaCapabilityChanged

public void onParticipantDeviceMediaCapabilityChanged(@NonNull Conference conference, @NonNull ParticipantDevice device)
Description copied from interface: `ConferenceListener`
Callback used to notify a conference that the media capability of a participant
device has been changed.

Specified by:
  `onParticipantDeviceMediaCapabilityChanged` in interface `ConferenceListener`
Parameters:
  `conference` - `Conference` object
  `device` - `ParticipantDevice` whose media capability changed has
  changed

### onStateChanged

public void onStateChanged(@NonNull Conference conference, Conference.State newState)
Description copied from interface: `ConferenceListener`
Callback used to notify a conference state has changed.

Specified by:
  `onStateChanged` in interface `ConferenceListener`
Parameters:
  `conference` - LinphoneConference object
  `newState` - The new state of the conference

### onAvailableMediaChanged

public void onAvailableMediaChanged(@NonNull Conference conference)
Description copied from interface: `ConferenceListener`
Callback used to notify that the available media of a conference has changed.

Specified by:
  `onAvailableMediaChanged` in interface `ConferenceListener`
Parameters:
  `conference` - `Conference` object

### onSubjectChanged

public void onSubjectChanged(@NonNull Conference conference, @NonNull String subject)
Description copied from interface: `ConferenceListener`
Callback used to notify that the subject of a conference has changed.

Specified by:
  `onSubjectChanged` in interface `ConferenceListener`
Parameters:
  `conference` - LinphoneConference object
  `subject` - subject of the conference

### onParticipantDeviceIsSpeakingChanged

public void onParticipantDeviceIsSpeakingChanged(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice, boolean isSpeaking)
Description copied from interface: `ConferenceListener`
Callback used to notify that a participant device is speaking or isn't speaking
anymore.

Specified by:
  `onParticipantDeviceIsSpeakingChanged` in interface `ConferenceListener`
Parameters:
  `conference` - `Conference` object
  `participantDevice` - the participant device
  `isSpeaking` - true if is speaking, false otherwise

### onParticipantDeviceIsMuted

public void onParticipantDeviceIsMuted(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice, boolean isMuted)
Description copied from interface: `ConferenceListener`
Callback used to notify that a participant device is muted or is no longer
muted.

Specified by:
  `onParticipantDeviceIsMuted` in interface `ConferenceListener`
Parameters:
  `conference` - `Conference` object
  `participantDevice` - the participant device
  `isMuted` - true if is muted, false otherwise

### onAudioDeviceChanged

public void onAudioDeviceChanged(@NonNull Conference conference, @NonNull AudioDevice audioDevice)
Description copied from interface: `ConferenceListener`
Callback used to notify that the audio device of a conference has changed.

Specified by:
  `onAudioDeviceChanged` in interface `ConferenceListener`
Parameters:
  `conference` - LinphoneConference object
  `audioDevice` - audio device of the conference

### onActiveSpeakerParticipantDevice

public void onActiveSpeakerParticipantDevice(@NonNull Conference conference, @Nullable ParticipantDevice participantDevice)
Description copied from interface: `ConferenceListener`
Callback used to notify which participant device video is being displayed as
"actively speaking".

Specified by:
  `onActiveSpeakerParticipantDevice` in interface `ConferenceListener`
Parameters:
  `conference` - `Conference` object
  `participantDevice` - the participant device currently displayed as active
  speaker

### onFullStateReceived

public void onFullStateReceived(@NonNull Conference conference)
Description copied from interface: `ConferenceListener`
Callback used to notify when a notify full state has been received.

Specified by:
  `onFullStateReceived` in interface `ConferenceListener`
Parameters:
  `conference` - LinphoneConference object